
Katello - Bug #7108

katello and capsules are installed with both pulp and pulp_node features enabled

08/15/2014 11:32 AM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Installer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1130560 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/104

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1130560

Description of problem:

katello and capsules are installed with both pulp and pulp_node features enabled

This prevents proper detection of features.

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1.  Install katello

2.  Install a capsule

3.  Check the capsule's features

Actual results:

Shows pulp and pulpnode

Expected results:

only shows pulpnode

Additional info:

Associated revisions

Revision 1075a34c - 08/15/2014 11:58 AM - Justin Sherrill

fixes #7108 - if using pulp at all, override both pulp and pulpnode settings

as the default is to enable

Revision 1075a34c - 08/15/2014 11:58 AM - Justin Sherrill

fixes #7108 - if using pulp at all, override both pulp and pulpnode settings

as the default is to enable

Revision 72b54753 - 08/18/2014 08:46 AM - Justin Sherrill 

Merge pull request #15 from jlsherrill/7108

fixes #7108 - if using pulp at all, override both pulp and pulpnode settings

Revision 72b54753 - 08/18/2014 08:46 AM - Justin Sherrill 

Merge pull request #15 from jlsherrill/7108
fixes #7108 - if using pulp at all, override both pulp and pulpnode settings

Revision 866f25c3 - 08/18/2014 03:22 PM - Justin Sherrill

fixes #7108 - if using pulp at all, override both pulp and pulpnode settings

Revision 2c2d16ae - 08/18/2014 03:28 PM - Justin Sherrill 

Merge pull request #104 from jlsherrill/7108

fixes #7108 - if using pulp at all, override both pulp and pulpnode settings

History

#1 - 08/15/2014 02:17 PM - Eric Helms

- Assignee set to Justin Sherrill

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#3 - 08/18/2014 03:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/104 added

- Pull request deleted ()

#4 - 08/18/2014 04:02 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|866f25c306c10e5c4e41e3819fc7d4f735afed34.

#5 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
